//////////////////////////////////////////////////////////////////////
// Author: Henrik Tydesjo                                           //
// Implementation of the nodes to put in the cluster list           //
// (HenrikClusterList).                                             //
//////////////////////////////////////////////////////////////////////   

#include "HenrikClusterListNode.h"

HenrikClusterListNode::HenrikClusterListNode():
  fCol(0),
  fRow(0),
  fSize(0),
  fWidthZ(0),
  fWidthPhi(0),
  fType(0),
  fNext(NULL)
{}

HenrikClusterListNode::HenrikClusterListNode(Float_t col, Float_t row, UShort_t size, UShort_t widthZ, UShort_t widthPhi, UShort_t type, HenrikClusterListNode* next):
  fCol(col),
  fRow(row),
  fSize(size),
  fWidthZ(widthZ),
  fWidthPhi(widthPhi),
  fType(type),
  fNext(next)
{}

HenrikClusterListNode::HenrikClusterListNode(const HenrikClusterListNode& obj):
  fCol(obj.fCol),
  fRow(obj.fRow),
  fSize(obj.fSize),
  fWidthZ(obj.fWidthZ),
  fWidthPhi(obj.fWidthPhi),
  fType(obj.fType),
  fNext(obj.fNext)
{
  // copy constructor
}

HenrikClusterListNode::~HenrikClusterListNode() 
{}

HenrikClusterListNode& HenrikClusterListNode::operator=(const HenrikClusterListNode& obj) 
{
  // assignment operator
  if (this!=&obj) {
    fCol = obj.fCol;
    fRow = obj.fRow;
    fSize = obj.fSize;
    fWidthZ = obj.fWidthZ;
    fWidthPhi = obj.fWidthPhi;
    fType = obj.fType;
    fNext = obj.fNext;
  }
  return *this;
}

